---
title: "Create a New Registered Invoice Imaging Document"
slug: "create-a-new-registered-invoice-imaging-document"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/create-a-new-registered-invoice-imaging-document"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a New Registered Invoice Imaging Document

Post/ecm-rest-api/jersey/v1/UploadData/uploadApRegInvoice

### Overview

This endpoint provides the ability to upload a document along with flysheet data to create an AP Miscellaneous Invoice with detail lines (department (G), job (J), and equipment (E) type lines).

### Notes

· **srcUuid** and **docTypeUuid** identify the corresponding source and document type to which the document will be uploaded

· payload also contains a header section (**headerFlysheet**, **headerData**) and a detail section (**detailFlysheet**, **detailData**) to support the different flysheet data components to be inserted

### UI Navigation

Enterprise Content Management > Imaging > Flysheet > APREGINV

### Reference Article

[Imaging – Imaging Control](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/IMG_-_Imaging/Reference/Imaging_Control.htm?Highlight=ecm%20registered%20invoices)

[Accounts Payable – Approve Registered Invoices](https://docs.cmicglobal.com/portal/Content/E_Reference_Material/AP_-_Accounts_Payable/Reference/Invoice_Registration/Approve_Registered_Invoices.htm?Highlight=AP%20Registered%20invoices)

### Commonly Used Body Parameters

| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |
| --- | --- | --- | --- | --- | --- | --- |
| Company | headerData | Apri_Comp_Code | This is the company code associated with the AP miscellaneous invoice. Must be a valid CMiC Company Code. | string | 8 | 001 |
| Vendor | headerData | Apri_Ven_Code | This is the vendor code associated with the AP miscellaneous invoice. Must be a valid vendor code in CMiC. | string | 10 | MICR01 |
| Invoice Job Code | headerData | Apri_Job_Code | This is the (optional) job code associated with the AP miscellaneous invoice. Must be a valid job code in CMiC. | string | 10 | 017401 |
| Invoice Registry Group Code | headerData | Apri_Group_Code | Invoice registration groups are used to group the access, entry and approval of invoices entered through the Register Invoices screen. Must be a valid Invoice Registry Group Code in CMiC. | string | 10 | CMIC |
| Invoice Number | headerData | Apri_Inv_Code | This is the invoice number associated with this invoice. This number appears on the vendors’ invoice and it is not the same as the voucher number. | string | 20 | TESTINV988 |
| Invoice Header Date | headerData | Apri_Inv_Date | This is the date the invoice was issued/created. | datetime | YYYY/MM/DD | 2025/03/31 |
| Description | headerData | Apri_Desc | This is a short description for the invoice. | string | 30 | Purchases from Home Depot. |
| Original Amount | headerData | Apri_Orig_Amt | Original invoice amount is the pre-tax invoice amount – this is used in the validation workflow. | number | 18 | 1825.00 |
| Amount | headerData | Apri_Inv_Amt | This invoice amount can be the same as the Original Invoice Amount if no taxes are applied. Otherwise, this is the post-tax invoice amount (net amount). | number | 18 | 1825.00 |
| Invoice Detail Line Number | detailData | Aprdist_Line_Num | This is the line number assigned to the detail line - unique to the invoice details. | number | 3 | 1 |
| Detail Line Type | detailData | Aprdist_Type_Code | This is the line type assigned to the detail line – G for department type, J for job type, E for equipment type | string | 2 | G |
| Detail Line Company Code | detailData | Aprdist_Comp_Code | This is the company code assigned to the detail line. | string | 8 | ZZ |
| Job/Dept./Eqp. | detailData | Aprdist_User_Field2 | This field identifies the department code (for G types), job code (for J types) or the equipment code (for E types). | string | 10 | 00 |
| Phase/Account/Category | detailData | Aprdist_User_Field3 | This field identifies the account code (for G types), phase code (for J types) or the equipment category code (for E types). | string | 16 | 1000 |
| Category/Tran Code | detailData | Aprdist_User_Field4 | This field identifies the category code (for J types) or the tran code (for E types) - not applicable for G types. | string | 4 |  |
| Weight Measure Code | detailData | Aprdist_Wm_Code | This is the weight measure code associated with the detail line item. | string | 2 | NA |
| Line Amount | detailData | Aprdist_Debit_Amt | This is the amount tied to the line item on the invoice. | number (with decimals) | 18, 2 | 100.00 |

SecurityHTTPType basic

Basic authentication

Body parameters<select class='api-response-data' aria-label='Media type'><option value='fd476ae6-aff6-47dc-8097-c9628271e3d6'>multipart/form-data</option>
</select>object  fileDetailsstring    Example{
"srcUuid": "0AC3DE23133C61F0E063AF811DAC5CAD",
"docTypeUuid": "ADC78973BD841170E053508010AC2DB4",
"headerFlysheet": "AP Registered Invoice Header",
"headerData": {
    "Apri_Comp_Code": "ZZ",
    "Apri_Ven_Code": "ZZ-WMT",
    "Apri_Group_Code": "CMIC",
    "Apri_Inv_Code": "TESTINV501",
    "Apri_Inv_Date": "2025-03-21",
    "Apri_Desc": "RS TEST WEBSERVICE",
    "Apri_Orig_Amt": "5"
},
"detailFlysheet": "AP Registered Invoice Details",
"detailData": [
    {
        "Aprdist_Line_Num": "1",
        "Aprdist_Type_Code": "G",
        "Aprdist_Comp_Code": "ZZ",
        "Aprdist_User_Field2": "00",
        "Aprdist_User_Field3": "1000.100",
        "Aprdist_Wm_Code": "NA",
        "Aprdist_Debit_Amt": "1"
    }
]
}
document-content-filestring  (binary)    

Responses200

OK

HeadersContent-TypestringExampleapplication/json
<select class='api-response-data' aria-label='Media type'><option value='432515a5-841e-4cfe-87ae-25a9c9d48036'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='47bfa0c4-e15f-4405-a950-56c30b3a5d79'>example-0</option>
<option value='efc0af91-5635-45f7-acb3-2d84b1b5c9d7'>example-1</option>
</select>example-0

Successful Response

```json
{
  "message": " Successfully Uploaded : Capture.PNG with UUID - 0282C4A9CC9F5B4EE06316821FAC4F7D"
}
```

example-1

Successful Response

```json
{
  "message": " Successfully Uploaded : LCPTracker(7).xlsx with UUID - 04557AB709153556E06316821FACCA98"
}
```

object
